@charset "UTF-8";


.kcode-info-container {
    position: relative;
    display: flex;
    align-items: start;
    gap: 3rem;
    background-color: #F8F8F8;
    border: 1px solid #e4e4e4;
    border-radius: 0.6rem;
    padding: 2.5rem 3rem;
}

.kcode-info-container img {
    width: 5.5rem;
}

.kcode-info-container .help-info {
    color: #707070;
}

.kcode-browse-card-mask {
    display: block;
    position: relative;
    padding: 0 1rem;
    /* background-color: rgba(255, 255, 255, .45); */
    /* backdrop-filter: blur(20px); */
    -webkit-backdrop-filter: blur(20px);
    /*border: 1px solid #ddd;*/
    border-radius: 1.2rem;
}


.kcode-browse-card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    height: 100%;
    word-wrap: break-word;
    /*background-color: #F9F8F5;*/
    background-color: #fbfbfb;
    background-clip: border-box;
    /* #AECDE6 */
    border-top: 1px solid #E4E4E4;
    border-right: 1px solid #E4E4E4;
    border-bottom: 1px solid #E4E4E4;
    border-left: 2px solid #F2C7A6;
    border-radius: 1rem;
    padding: 2rem 2rem 2rem 3rem;
    justify-content: space-between;
    gap: 1.5rem;
}

@media (max-width: 992px) {
    .kcode-browse-card {
        padding: 2rem 4rem 2rem 3rem;
    }
}

.kcode-browse-card .kcode-browse-card-header {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
}

.kcode-browse-card .kcode-browse-card-header:first-child {
    border-radius: 1rem 1rem 0 0;
}

.kcode-browse-card .kcode-browse-card-body {

}

.kcode-browse-card .kcode-browse-card-body:last-child {
    border-radius: 0 0 1rem 1rem;
}

.kcode-browse-card .kcode-browse-card-info {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0.5rem;
    gap: 0.5rem;
}

.kcode-browse-card .kcode-browse-card-info .kcode-browse-card-num {
    font-size: 2.5rem;
    font-weight: 600;
    color: #444444;
    line-height: 3rem;
    letter-spacing: -0.2px;
}


.kcode-browse-card .kcode-browse-card-info .kcode-browse-card-text {
    font-size: 1.6rem;
    font-weight: 500;
    color: #9E9285;
    letter-spacing: -0.2px;
}

.kcode-browse-card .kcode-broswe-card-link {
    display: inline-block;
    background-color: #F6FAFF;
    border: 1px solid #C4D2E6;
    border-radius: 4rem;
    color: #5682E9;
    font-size: 1.5rem;
    padding: 0.3rem 1rem;
}

.kcode-statistics .kcode-browse-card {
    padding: 1rem 3rem 1rem 2rem !important;
    background-color: #fff;
    cursor: pointer;
}

.kcode-statistics .kcode-browse-card .kcode-browse-card-info .kcode-browse-card-num {
    font-size: 2rem;
}

.kcode-statistics .kcode-browse-card.active {
    background-color: #feefe3;
}

.kcode-statistics .kcode-browse-card:hover {
    background-color: #feefe3;
}


.kcode-marvin .mjs-main canvas {
    box-shadow: none !important;
}

.kcode-marvin.layout-bordered .mjs-main canvas {
    border: 1px solid #ddd !important;
}


.kcode-note-container {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    padding: 1.5rem 3rem;
    background-color: #FFFBFB;
    margin: 0;
    border-radius: 0.5rem;
    border: 1px solid #E1E1E1;
}

.kcode-note-container .note-icon {
    position: relative;
    color: #E58508;
    margin-right: 0.5rem;
    white-space: nowrap;
}

.kcode-note-container .note-icon, .kcode-note-container .note-description {
    font-size: 1.6rem;
}

.kcode-note-container .note-icon [class^="ri-"], [class*=" ri-"] {
    margin-right: 0.25rem;
}

.kcode-note-container .note-description {
    display: block;
    padding-left: 0.5rem;
    color: #555555;
}

.kcode-note-container .note-description.point {
    color: #418EA2;
}


.kcode-tool-card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    border: 1px solid #1BB4CC;
    border-radius: 0.6rem;
    background-color: #fff;
    background-clip: border-box;
}


.kcode-tool-card .kcode-tool-card-header {
    position: absolute;
    top: -1rem;
    transform: translateY(-1rem);
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    column-gap: 1.5rem;
    padding: 1rem 2rem 0 1.5rem;
    border-radius: 1.5rem 3rem;
    width: 100%;
    max-width: 70rem;
    overflow: hidden;
    background-image: -webkit-linear-gradient(right, #59BFBC 50%, #1BB4CC);
    background-image: -moz-linear-gradient(right, #59BFBC 50%, #1BB4CC);
    background-image: -ms-linear-gradient(right, #59BFBC 50%, #1BB4CC);
    background-image: -o-linear-gradient(right, #59BFBC 50%, #1BB4CC);
    background-image: linear-gradient(to right, #59BFBC 50%, #1BB4CC);
}

.kcode-tool-card .kcode-tool-card-body {
    border-radius: 0.6rem;
    padding: 5rem 2.5rem 2rem 2.5rem;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
}

.kcode-tool-card .kcode-tool-card-index {
    display: block;
    margin-bottom: -0.9rem;
    font-size: 6rem;
    line-height: 6rem;
    font-weight: bold;
    color: #fff;
}

.kcode-tool-card .kcode-tool-card-title {
    font-size: 1.8rem;
    color: #fff;
}

.kcode-tool-card .kcode-tool-card-content {
    display: flex;
    flex-direction: column;
    column-gap: 0.5rem;
    padding: 5rem 3rem;
}

.kcode-tool-card .kcode-tool-card-img {
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    gap: 1.5rem;
}

.kcode-tool-card .kcode-tool-card-img img {
    max-width: 35.8rem;
    max-height: 26.8rem;
}

@media (max-width: 992px) {
    .kcode-tool-card .kcode-tool-card-header {
        position: relative;
        top: 0;
        transform: translateY(0);
        padding: 1rem 2rem;
        align-items: start;
        border-radius: 0.6rem 0.6rem 0 0;
    }

    .kcode-tool-card .kcode-tool-card-body {
        padding: 2rem 2.5rem;
    }

    .kcode-tool-card .kcode-tool-card-index {
        font-size: 5rem;
        line-height: 5rem;
        margin-bottom: 0;
    }

    .kcode-tool-card .kcode-tool-card-content {
        padding: 1.5rem 1.5rem 3rem 1.5rem;
    }

    .kcode-tool-card .kcode-tool-card-img {
        flex-direction: column;
    }

    .kcode-tool-card .kcode-tool-card-img img {
        max-width: 100%;
        max-height: 100%;
    }
}
